package com.ozs.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.system.domain.SysRegion;
import com.ozs.system.domain.vo.SysRegionVO;
import com.ozs.system.mapper.SysRegionMapper;
import com.ozs.system.service.ISysRegionService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysRegionServiceImpl extends ServiceImpl<SysRegionMapper, SysRegion> implements ISysRegionService {
    @Override
    public List<SysRegionVO> findChildDivisions(String pcode) {
        return this.baseMapper.findChildDivisions(pcode);
    }

    @Override
    public SysRegionVO selectInfoByCode(String code) {
        return this.baseMapper.selectInfoByCode(code);
    }
}
